scala.reflect.quasiquotes

# Parsers

#### trait Parsers extends AnyRef

Builds upon the vanilla Scala parser and teams up together with Placeholders.scala to emulate holes. A principled solution to splicing into Scala syntax would be a parser that natively supports holes. Unfortunately, that's outside of our reach in Scala 2.11, so we have to emulate.

Self Type
  Quasiquotes
Source
  Parsers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Quasiquotes
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Parsers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class Parser extends tools.nsc.ast.parser.Parsers

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Parsers to any2stringadd[Parsers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Parsers, B)

   Implicit information
     This member is added by an implicit conversion from Parsers to ArrowAssoc[Parsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object CaseParser extends Quasiquotes.Parser

7. #### object ForEnumeratorParser extends Quasiquotes.Parser

8. #### object FreshName extends tools.nsc.Global.FreshNameExtractor

9. #### object PatternParser extends Quasiquotes.Parser

10. #### object Q

    Wrapper around tree parsed in q"..." quote.

    Wrapper around tree parsed in q"..." quote. Needed to support ..$ splicing on top-level.

11. #### object TermParser extends Quasiquotes.Parser

12. #### object TypeParser extends Quasiquotes.Parser

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### def ensuring(cond: (Parsers) ⇒ Boolean, msg: ⇒ Any): Parsers

    Implicit information
      This member is added by an implicit conversion from Parsers to Ensuring[Parsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (Parsers) ⇒ Boolean): Parsers

    Implicit information
      This member is added by an implicit conversion from Parsers to Ensuring[Parsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): Parsers

    Implicit information
      This member is added by an implicit conversion from Parsers to Ensuring[Parsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): Parsers

    Implicit information
      This member is added by an implicit conversion from Parsers to Ensuring[Parsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Parsers to StringFormat[Parsers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (Parsers, B)

    Implicit information
      This member is added by an implicit conversion from Parsers to ArrowAssoc[Parsers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Parsers to any2stringadd[Parsers]

### Inherited by implicit conversion StringFormat from Parsers to StringFormat[Parsers]

### Inherited by implicit conversion Ensuring from Parsers to Ensuring[Parsers]

### Inherited by implicit conversion ArrowAssoc from Parsers to ArrowAssoc[Parsers]

### Ungrouped